CREATE TABLE fmk_d_thumbnail (
    THUMBNAIL_ID             NUMBER(18, 0),
    IMAGE_DATA               BLOB         ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    IMAGE_TYPE               VARCHAR2(256),
    SOURCE_ID                NUMBER(18, 0),
    SOURCE_TYPE              VARCHAR2(128),
    THUMBNAIL_ID             NUMBER(18, 0),
    IMAGE_DATA               BLOB         ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    IMAGE_TYPE               VARCHAR2(256),
    SOURCE_ID                NUMBER(18, 0),
    SOURCE_TYPE              VARCHAR2(128),
    CONSTRAINT pk_fmk_d_thumbnail PRIMARY KEY (THUMBNAIL_ID, THUMBNAIL_ID)
);
